List conversations
curl --request GET \
--url https://api.helloannie.com/v1/conversations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.helloannie.com/v1/conversations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.helloannie.com/v1/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.helloannie.com/v1/conversations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.helloannie.com/v1/conversations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.helloannie.com/v1/conversations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.helloannie.com/v1/conversations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"conversations": [
{
"conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversationTags": [
"<string>"
],
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"displayName": "<string>"
}
],
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"medium": "CHAT",
"botId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"toNumber": "<string>",
"fromNumber": "<string>",
"summary": "<string>",
"billed": true,
"actionsNeeded": [
"<string>"
],
"topic": "<string>",
"duration": 1500,
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"status": "OPEN"
}
],
"pagination": {
"limit": 123,
"hasMore": true,
"nextCursor": "<string>"
}
}
}{
"success": false,
"data": {},
"message": "<string>"
}{
"success": false,
"data": {},
"message": "<string>"
}{
"success": false,
"data": {},
"message": "<string>"
}Conversations
List conversations
Return a paginated list of conversations. By default, returns conversations for the authenticated organization, sorted by creation date (newest first). Archived conversations are excluded by default. For account organizations, use includeChildren=true to include conversations from child organizations. Use the returned nextCursor to retrieve the next page while preserving the same filters. This endpoint permits 180 requests per minute per organization.
GET
/
conversations
List conversations
curl --request GET \
--url https://api.helloannie.com/v1/conversations \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.helloannie.com/v1/conversations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.helloannie.com/v1/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.helloannie.com/v1/conversations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.helloannie.com/v1/conversations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.helloannie.com/v1/conversations")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.helloannie.com/v1/conversations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"conversations": [
{
"conversationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conversationTags": [
"<string>"
],
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"displayName": "<string>"
}
],
"orgId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"medium": "CHAT",
"botId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"toNumber": "<string>",
"fromNumber": "<string>",
"summary": "<string>",
"billed": true,
"actionsNeeded": [
"<string>"
],
"topic": "<string>",
"duration": 1500,
"startTime": "2023-11-07T05:31:56Z",
"endTime": "2023-11-07T05:31:56Z",
"status": "OPEN"
}
],
"pagination": {
"limit": 123,
"hasMore": true,
"nextCursor": "<string>"
}
}
}{
"success": false,
"data": {},
"message": "<string>"
}{
"success": false,
"data": {},
"message": "<string>"
}{
"success": false,
"data": {},
"message": "<string>"
}